Recaudo Docs

Getting started

Authentication

The Recaudo API uses API keys to authenticate requests. Create an account to get your API keys.

API key types

Type Prefix Use
Public Key (Live) pk_live_ Frontend, checkout forms
Secret Key (Live) sk_live_ Backend, sensitive operations
Public Key (Test) pk_test_ Frontend development
Secret Key (Test) sk_test_ Backend development

Authentication via header

Include your API key in the header Authorization as a Bearer token:

curl https://recaudo.app/api/v1/customers \
  -H "Authorization: Bearer sk_live_tu_secret_key" \
  -H "Content-Type: application/json"
$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://recaudo.app/api/v1/customers', [
    'headers' => [
        'Authorization' => 'Bearer sk_live_tu_secret_key',
        'Content-Type' => 'application/json',
        'Accept' => 'application/json',
    ]
]);

$data = json_decode($response->getBody(), true);
const response = await fetch('https://recaudo.app/api/v1/customers', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer sk_live_tu_secret_key',
    'Content-Type': 'application/json',
  }
});

const data = await response.json();
import requests

response = requests.get(
    'https://recaudo.app/api/v1/customers',
    headers={
        'Authorization': 'Bearer sk_live_tu_secret_key',
        'Content-Type': 'application/json',
    }
)

data = response.json()
Was this page helpful? Thanks for letting us know.
Esc